org.springframework.web.reactive.config

## Class PathMatchConfigurer

- java.lang.Object
- - org.springframework.web.reactive.config.PathMatchConfigurer

    public class PathMatchConfigurer
    extends Object

Assist with configuring `HandlerMapping`'s with path matching options.

Since:
  5.0
Author:
  Rossen Stoyanchev, Brian Clozel

### Constructor Summary

Constructors
Constructor and Description
`PathMatchConfigurer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PathMatchConfigurer` `addPathPrefix(String prefix, Predicate<Class<?>> predicate)` Configure a path prefix to apply to matching controller methods.
`protected Map<String,Predicate<Class<?>>>` `getPathPrefixes()`
`protected Boolean` `isUseCaseSensitiveMatch()`
`protected Boolean` `isUseTrailingSlashMatch()`
`PathMatchConfigurer` `setUseCaseSensitiveMatch(Boolean caseSensitiveMatch)` Whether to match to URLs irrespective of their case.
`PathMatchConfigurer` `setUseTrailingSlashMatch(Boolean trailingSlashMatch)` Whether to match to URLs irrespective of the presence of a trailing slash.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathMatchConfigurer

    public PathMatchConfigurer()

### Method Detail

#### setUseCaseSensitiveMatch

    public PathMatchConfigurer setUseCaseSensitiveMatch(Boolean caseSensitiveMatch)

Whether to match to URLs irrespective of their case. If enabled a method mapped to "/users" won't match to "/Users/".

The default value is `false`.

#### setUseTrailingSlashMatch

    public PathMatchConfigurer setUseTrailingSlashMatch(Boolean trailingSlashMatch)

Whether to match to URLs irrespective of the presence of a trailing slash. If enabled a method mapped to "/users" also matches to "/users/".

The default value is `true`.

#### addPathPrefix

    public PathMatchConfigurer addPathPrefix(String prefix,
                                             Predicate<Class<?>> predicate)

Configure a path prefix to apply to matching controller methods.

Prefixes are used to enrich the mappings of every `@RequestMapping` method whose controller type is matched by the corresponding `Predicate`. The prefix for the first matching predicate is used.

Consider using `HandlerTypePredicate` to group controllers.

Parameters:
  `prefix` - the path prefix to apply
  `predicate` - a predicate for matching controller types
Since:
  5.1

#### isUseTrailingSlashMatch

    @Nullable
    protected Boolean isUseTrailingSlashMatch()

#### isUseCaseSensitiveMatch

    @Nullable
    protected Boolean isUseCaseSensitiveMatch()

#### getPathPrefixes

    @Nullable
    protected Map<String,Predicate<Class<?>>> getPathPrefixes()